Wall Reveal ( WallSweep )

Hello everyone…
Does anyone know how to get the WallSweepType as an ElementId to be able to add a reveal on a wall?
See below extract from the Revit API Docs and this Link.

WallSweep Create(
	Wall wall,
	ElementId wallSweepType,
	WallSweepInfo wallSweepInfo
)

Thanks in advance!

Ilyes.

Turns out, it’s as easy as collecting all the reveals you have in your file and picking the right name.
I confused myself for no reason :sweat_smile:

coll = DB.FilteredElementCollector(doc).OfCategory(DB.BuiltInCategory.OST_Reveals).WhereElementIsElementType().ToElementIds()
1 Like